@font-face {
    font-family: "Fredoka";
    src: url("Fredoka-VariableFont_wdth,wght.woff2") format("woff2");
}
*,*::before,*::after  {
    box-sizing: border-box;
}
:root   {
    font-family: 'Fredoka', Arial, sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
    color: var(--primary);
    background: var(--bg);

}

body    {
    margin: 0;
}
.container  {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}
header {
    background: oklch(0.3244 0.1768 271.06);
        nav ul {
            padding: 0;
            margin: 0 0 0 -3rem;
            list-style: none;
            display: flex;
            flex-wrap: wrap;
            li {
                padding-inline: 2rem;
                padding-block: 1rem;
                a {
                    text-decoration: none;
                    color: var(--bg);
                }
            }
            &:first-child {
                padding-inline-start: 1rem;
            }

        }


}
.row {
    display: flex;
    gap: 2rem;
        div{
            border: oklch(0.3244 0.1768 271.06) dashed 1px;
            padding: 1rem;
        }
    :first-child {
        flex-grow: 2;
    }
    :last-child {
        flex-grow: 1;
    }
}
.visually-hidden {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    width: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
}
main nav ul {
    display: flex;
    flex-direction: row;
    list-style: none;
    li a {
        display: flex;
        padding: 1rem;
        background: oklch(0.3244 0.1768 271.06);
        text-decoration: none;
        color: var(--bg);
        transition: background-color 0.5s ease-in-out;
        &:hover, &:focus-visible {
            background: oklch(0.3244 0.1768 271.06/60%)
        }
        &:focus-visible {

        }
    }
    li:first-child a {
        background: var(--bg);
        color: var(--primary);
        transition: none;
    }
    :nth-child(2){
        margin-inline-start: auto;
    }
}
.cards {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 2rem;
    justify-content: center;

    li {
        display: flex;
        flex-direction: column;
        position: relative;
        max-width: 18rem;
        border-radius: 10px;
        box-shadow: 0 0 1rem oklch(0.91 0 89.876);
        background-color: var(--bg);
        transition: transform 0.3s ease, box-shadow 0.3s ease;
        &:hover, &:focus-visible {
            transform: translateX(-6px) translateY(-6px);
            box-shadow: 0 0 2rem oklch(0.657 0 89.876);
        }
    }
    .content {
        padding: 1rem;
    }
    li img{
        order: -1;
        border-top-right-radius: 10px;
        border-top-left-radius: 10px;
    }


    .overlay-link {
        position: absolute;
        inset: 0;
        text-indent: 100%;
        overflow: hidden;
        white-space: nowrap;
    }
    li a:not(.overlay-link){
        z-index: 1;
    }
}


